Bug 241810 - rt kernel needs the crash module for i686
Summary: rt kernel needs the crash module for i686
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel   
(Show other bugs)
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-30 19:23 UTC by Guy Streeter
Modified: 2016-02-10 01:32 UTC (History)
1 user (show)

Fixed In Version: 27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-19 20:19:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (6.40 KB, patch)
2007-06-19 20:12 UTC, Guy Streeter
no flags Details | Diff

Description Guy Streeter 2007-05-30 19:23:01 UTC
The "crash" kernel module is needed in order for the crash program to work on a
live system with more than 896MB memory.
We need CONFIG_CRASH=m in all our configs.

Comment 1 Guy Streeter 2007-05-30 19:53:00 UTC
It's worse than just the CONFIG setting. The crash driver is a RHEL5 add-on.


Comment 2 Guy Streeter 2007-05-30 20:42:39 UTC
I think this doesn't affect x86_64, at least not at the same low memory size.
It it really a problem for i686.


Comment 3 Guy Streeter 2007-06-08 16:38:02 UTC
x86_64 doesn't have the memory limit, so we only need the /dev/crash driver for
i686.

Comment 4 Guy Streeter 2007-06-19 18:41:35 UTC
I've done my part on this one. It's up to Clark now.

Comment 5 Guy Streeter 2007-06-19 20:12:00 UTC
Created attachment 157414 [details]
patch

you need to apply this patch, and set CONFIG_CRASH=m on i686 and not set it on
x86_64.

Comment 6 Clark Williams 2007-06-20 16:18:09 UTC
This will go into next release (>= 2.6.21-32)


Note You need to log in before you can comment on or make changes to this bug.